<% title "#{@trail.icon_kctref} editace trasy", "~ #{@trail.kctref} : editace trasy" %>

<% render partial: 'errors_for', object: @trail %>
  
<div class="row">
  <div class="col-lg-6">
    <!-- === Map ===================================== -->
    <%= render 'osm_trails/map', :osm_trail=> @trail.osm_trail, :div_class=> 'bootstrap_map' %>
  </div>

  <div class="col-lg-6">
    <!-- === Guideposts ============================== -->
    <%= form_for @trail, url: {action: 'match_guideposts'}, html: {class: 'compact'} do |f| %>
    <div class="trailedit">
      <table class="lines">
        <colgroup><col class="kct" span="3"/><col class="filler"><col class="dbf"/><col class="filler"><col class="osm" span="3"/></colgroup>
        <tr><th>km</th><th>KČT rozcestník</th><th>KČT ref</th><th>&nbsp;</th><th>Rozcestník</th><th>&nbsp;</th><th>km</th><th>OSM rozcestník</th><th>refs</th><th>poloha</th></tr>
        <% 
          index = 1
          # kct_signs with their attributed osm_signs
          @kct_signs.each do |kct_sign|
            (@estimated_relations[kct_sign] || [nil]).each do |osm_sign_or_guidepost|
        %>    <%= render partial: 'match_table_line', locals: {
                :kct_sign => kct_sign,
                :osm_sign => osm_sign_or_guidepost.is_a?(OsmSign) ? osm_sign_or_guidepost : nil,
                :osm_guidepost =>  osm_sign_or_guidepost.andand.osm_guidepost,
                :guidepost => kct_sign.guidepost,
                :guidepost_is_on_trail => kct_sign.guidepost.andand.is_on?(@trail),
                :index => index,
                :osm_trail => @trail.osm_trail
              } %>
        <%
              @osm_signs_and_guideposts.delete(osm_sign_or_guidepost)
              @osm_signs_and_guideposts.delete(osm_sign_or_guidepost.andand.osm_guidepost)
              index+=1
            end
          end
          
          # remaining unattributed osm_signs
          @osm_signs_and_guideposts.each do |osm_sign_or_guidepost|
        %>  <%= render partial: 'match_table_line', locals: {
              :kct_sign => nil,
              :osm_sign => osm_sign_or_guidepost.is_a?(OsmSign) ? osm_sign_or_guidepost : nil,
              :osm_guidepost =>  osm_sign_or_guidepost.andand.osm_guidepost,
              :guidepost => osm_sign_or_guidepost.guidepost,
              :guidepost_is_on_trail => false,
              :index => index,
              :osm_trail => @trail.osm_trail
            } %>
        <%
              index+=1
          end
        %>
        <tr>
          <td colspan="3" align="center">více o <%= link_to @trail.kct_trail, @trail.kct_trail %></td>
          <td>&nbsp;</td>
          <td><%= f.submit "Match!" %></td>
          <td>&nbsp;</td>
          <td colspan="3" align="center">
            <%= @trail.osm_trail %>: 
            <%= link_to 'reverse', "/osm_trails/#{@trail.osm_trail.id}/reverse", :method => :patch %> |
            <%= link_to 'reimport', "/osm_trails/osmid-#{@trail.osmid}/reimport", :method => :patch %> |
            <%= link_to 'detaily', @trail.osm_trail %> |
            <%= link_to 'josm', josm_relation_load_url(@trail.osm_trail) %>
          </td>
        </tr>
      </table>
    </div>
    <% end %>

  </div>
  

  <div class="col-md-4">
    <!-- === Tags ==================================== -->
    <%= render 'edit_tag_match_table', :trail => @trail %>
  </div>

</div> <!-- .row  -->

<div class="row">
  
  <!-- === Actions ================================= -->
  <%= form_for(@trail) do |f| %>
    <%= link_to 'Ukaž', @trail %> |
    <%= link_to 'Smaž', @trail, method: :delete, data: { confirm: 'Are you sure?' } %> | 
    <a href="#" id=blackmagic_title>Vyšší dívčí</a>
    <div id="blackmagic" style="display:none">
      <ul>
        <li>KČT ref: <%= f.text_field :kctref %></li>
        <li>OSM id: <%= f.text_field :osmid %></li>
        <li>Název normalized: <%= f.text_field :nazev_normalized %></li>
        <li>OK KČT: <%= f.check_box :ok_kct %></li>
      </ul>
      <%= f.submit 'Ulož změny' %>
    </div>
    <script>
      $( "#blackmagic_title" ).click(function() {
        $( "#blackmagic" ).toggle( "slow"); return false;
      });
    </script>
  <% end %>
</div> <!-- .row  -->

<!-- === hoverování objektů na mapě ============== -->
<script>
  $('span.point').mouseenter(function(event) {
    hashMarkers[$(this).attr('id')].setStyle({color: 'red', radius:20})
  }).mouseleave(function(event) {
    hashMarkers[$(this).attr('id')].setStyle({color: 'none', radius:5})
  }).click(function(event) {
    map.panTo(hashMarkers[$(this).attr('id')].getLatLng())
  });
</script>

